ru.bitel.bgbilling.modules.rscm.server.bean

## Class RSCMServiceManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.rscm.server.bean.RSCMServiceManager

-     public class RSCMServiceManager
      extends java.lang.Object

  DAO параметров услуг RSCM.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSCMServiceManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `addService(int sid, java.lang.String unit)` Deprecated.
    `void` | `deleteService(int id)` Удаление параметра услуги модуля RSCM по коду записи.
    `RSCMService` | `getService(int id)` Получение параметра услуги модуля RSCM по коду записи.
    `java.util.List<RSCMService>` | `getServiceList()` Вызов getServiceList( Boolean isusing )
    `java.util.List<RSCMService>` | `getServiceList(java.lang.Boolean isusing)` Перечень параметров услуг модуля RSCM.
    `void` | `updateService(RSCMService service)` Добавление/изменение параметра услуги в БД.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSCMServiceManager

          public RSCMServiceManager(java.sql.Connection con,
                                    int mid)

  - ### Method Detail

    - #### getServiceList

          public java.util.List<RSCMService> getServiceList()

      Вызов getServiceList( Boolean isusing )
      Returns:
        список всех услуг модуля

    - #### getServiceList

          public java.util.List<RSCMService> getServiceList(java.lang.Boolean isusing)

      Перечень параметров услуг модуля RSCM.
      Returns:
        список услуг

    - #### addService

          @Deprecated
          public int addService(int sid,
                                            java.lang.String unit)

      Deprecated.

    - #### updateService

          public void updateService(RSCMService service)

      Добавление/изменение параметра услуги в БД. Добавление происходит при getId() <= 0.
      Parameters:
        `service` -

    - #### deleteService

          public void deleteService(int id)

      Удаление параметра услуги модуля RSCM по коду записи.
      Parameters:
        `id` - код записи

    - #### getService

          public RSCMService getService(int id)

      Получение параметра услуги модуля RSCM по коду записи.
      Parameters:
        `id` - код записи
      Returns: